{% set display = author.fields.display %}
{% set date = post.fields.authored %}
{% set envelopeIcon = { "icon": "envelope" } %}
{% set globeIcon = { "icon": "globe" } %}
{% set calendarIcon = { "icon": "calendar" } %}

<by-line date="{{ post.fields.authored }}">
	<div class="author byline">
		<img src="{{ author | authorPicture }}" alt="{{ display }}" />
		<h3>
			{{ display }}
			{% if author | authorEmail %}
			<a title="{{ author | authorEmail }}" href="mailto:{{ author | authorEmail }}">{{ envelopeIcon | icon | safe }}</a>
			{% endif %}
			{% if author | authorWebsite %}
			<a href="{{ author | authorWebsite }}">{{ globeIcon | icon | safe }}</a>
			{% endif %}
		</h3>
		<span>
			{{ calendarIcon | icon | safe }}&nbsp;<a href="/{{ permalink( post ) }}"><time datetime="{{ date }}">{{ date | shortDate }}</time></a>
		</span>
	</div>
</by-line>
